#include<bits/stdc++.h>
using namespace std;
int main ()
{
	int n;
	ifstream f1("LASTZERO.INP");
	ofstream f2("LASTZERO.OUT");
	f1>>n;
	int dem=0;
	while(n>=5)
		{
			n=n-5;
			dem++;
		}
	f2<<dem;
}
